[Python-modules-commits] r17327 - in packages/python-docutils/trunk/debian (6 files)
jwilk at users.alioth.debian.org
jwilk at users.alioth.debian.org
Mon Jun 6 23:56:26 UTC 2011
Date: Monday, June 6, 2011 @ 23:56:25
Author: jwilk
Revision: 17327
Manage /usr/bin/rst* scripts with alternatives.
Added:
packages/python-docutils/trunk/debian/python-docutils.postrm
packages/python-docutils/trunk/debian/python3-docutils.postinst
packages/python-docutils/trunk/debian/python3-docutils.postrm
Modified:
packages/python-docutils/trunk/debian/changelog
packages/python-docutils/trunk/debian/control
packages/python-docutils/trunk/debian/python-docutils.postinst
Modified: packages/python-docutils/trunk/debian/changelog
===================================================================
--- packages/python-docutils/trunk/debian/changelog 2011-06-06 22:58:13 UTC (rev 17326)
+++ packages/python-docutils/trunk/debian/changelog 2011-06-06 23:56:25 UTC (rev 17327)
@@ -20,10 +20,11 @@
* Drop obsolete conflict with zope3.
* Drop unused virtual packages: python-odtwriter, rst2odt,
docutils-writer-odt.
- * Build packages for Python 3 (closes: #577725).
+ * Build packages for Python 3 (closes: #577725). Both python-docutils and
+ python3-docutils provides rst* scripts, managed by alternatives.
* Simplify debian/rules.
- -- Jakub Wilk <jwilk at debian.org> Mon, 06 Jun 2011 23:16:11 +0200
+ -- Jakub Wilk <jwilk at debian.org> Tue, 07 Jun 2011 01:55:03 +0200
python-docutils (0.7-2) unstable; urgency=low
Modified: packages/python-docutils/trunk/debian/control
===================================================================
--- packages/python-docutils/trunk/debian/control 2011-06-06 22:58:13 UTC (rev 17326)
+++ packages/python-docutils/trunk/debian/control 2011-06-06 23:56:25 UTC (rev 17327)
@@ -54,6 +54,7 @@
python3-pygments,
libpaper-utils,
python3-lxml
+Conflicts: python-docutils (<< 0.7-3~)
Suggests: texlive-latex-recommended, texlive-latex-base, texlive-lang-french, docutils-doc
Description: utilities for the documentation of Python modules (implemented in Python 3)
The purpose of the Docutils project is to create a set of tools for
Modified: packages/python-docutils/trunk/debian/python-docutils.postinst
===================================================================
--- packages/python-docutils/trunk/debian/python-docutils.postinst 2011-06-06 22:58:13 UTC (rev 17326)
+++ packages/python-docutils/trunk/debian/python-docutils.postinst 2011-06-06 23:56:25 UTC (rev 17327)
@@ -14,4 +14,12 @@
done
fi
+if [ "$1" = configure ]
+then
+ for exe in /usr/share/docutils/scripts/python2/*
+ do
+ update-alternatives --install /usr/bin/${exe##*/} ${exe##*/} $exe 30
+ done
+fi
+
#DEBHELPER#
Added: packages/python-docutils/trunk/debian/python-docutils.postrm
===================================================================
--- packages/python-docutils/trunk/debian/python-docutils.postrm (rev 0)
+++ packages/python-docutils/trunk/debian/python-docutils.postrm 2011-06-06 23:56:25 UTC (rev 17327)
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = remove ] || [ "$1" = deconfigure ]
+then
+ for exe in /usr/share/docutils/scripts/python2/*
+ do
+ update-alternatives --remove ${exe##*/} $exe
+ done
+fi
+
+#DEBHELPER#
Added: packages/python-docutils/trunk/debian/python3-docutils.postinst
===================================================================
--- packages/python-docutils/trunk/debian/python3-docutils.postinst (rev 0)
+++ packages/python-docutils/trunk/debian/python3-docutils.postinst 2011-06-06 23:56:25 UTC (rev 17327)
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = configure ]
+then
+ for exe in /usr/share/docutils/scripts/python2/*
+ do
+ update-alternatives --install /usr/bin/${exe##*/} ${exe##*/} $exe 20
+ done
+fi
+
+#DEBHELPER#
Added: packages/python-docutils/trunk/debian/python3-docutils.postrm
===================================================================
--- packages/python-docutils/trunk/debian/python3-docutils.postrm (rev 0)
+++ packages/python-docutils/trunk/debian/python3-docutils.postrm 2011-06-06 23:56:25 UTC (rev 17327)
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = remove ] || [ "$1" = deconfigure ]
+then
+ for exe in /usr/share/docutils/scripts/python3/*
+ do
+ update-alternatives --remove ${exe##*/} $exe
+ done
+fi
+
+#DEBHELPER#
More information about the Python-modules-commits
mailing list